# SSelectComponent Classes

This file provide the mixins to generate s-select classes


## Mixins


### s-select-classes

Provide all the classes of the s-select component for a default style
Styling options:
- ```[color="{$color}"]``` : apply a color to the select component


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$colors  |  **{ List<Color> }**  |  The colors to generate  |  optional  |  default primary secondary

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-select-classes-bare

Provide the bare styling for the s-select classes

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-select-classes-style

Provide all the style classes of the s-select component for a default style
Styling options:
- ```[color="{$color}"]``` : apply a color to the select component


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$colors  |  **{ List<Color> }**  |  The colors to generate  |  optional  |  default primary secondary

Author : Olivier Bossel <olivier.bossel@gmail.com>